package com.gic.demo.single.web.exception;

import com.gic.commons.webapi.reponse.RestResponse;
import org.springframework.http.HttpStatus;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 指标管理接口
 *
 * @author zhurz
 */
@RestController
public class ErrorController {

    /**
     * 获取门店信息
     *
     * @param code 错误代码
     * @return rest response
     */
    @RequestMapping("/error-{code}")
    public RestResponse error(@PathVariable("code") String code) {
        try {
            HttpStatus httpStatus = HttpStatus.resolve(Integer.valueOf(code));
            return RestResponse.failure(code, httpStatus != null ? httpStatus.getReasonPhrase() : "错了");
        } catch (NumberFormatException e) {
            return RestResponse.failure(code, "code 错误");
        }
    }

}